Download:
child 47:9e4577696f1e
parent 45:a12c1aeefbfe
46:30828f540fe8
Anton Shestakov <engored@ya.ru>, Thu, 04 Sep 2014 03:33:16 +0900
Make screenshots, first version.

3 файлов изменено, 28 вставок(+), 0 удалений(-) [+]
docs/make-screenshots.sh file | annotate | diff | comparison | revisions
docs/prompt-session-exit.sh file | annotate | diff | comparison | revisions
docs/prompt-session-venv.sh file | annotate | diff | comparison | revisions
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/docs/make-screenshots.sh Thu Sep 04 03:33:16 2014 +0900
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+command -v import &>/dev/null || { echo "this needs imagemagick's import command"; exit 1; }
+
+cd "$(dirname "${BASH_SOURCE[0]}")"
+
+for what in 'exit' venv hg git ; do
+ clear
+
+ grep -v '^\s*\(#\|$\)' "./prompt-session-${what}.sh" | bash -i
+ import -window $WINDOWID "./prompt-${what}.png"
+done
+
+clear
+
+echo all done
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/docs/prompt-session-exit.sh Thu Sep 04 03:33:16 2014 +0900
@@ -0,0 +1,6 @@
+#!/bin/false
+# paste this into an interactive shell
+
+kill -INT "$$" # the same as ^C
+false
+echo
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/docs/prompt-session-venv.sh Thu Sep 04 03:33:16 2014 +0900
@@ -0,0 +1,6 @@
+#!/bin/false
+# paste this into an interactive shell
+
+cd "$(mktemp -d)" && virtualenv venv && cd venv
+source ./bin/activate
+echo